Bonuses

Get bonus details

Use this method to obtain detailed information about a specific bonus.

GET
/api/v2/my/bonuses/{bonusId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

bonusId*string

The bonus identifier.

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/my/bonuses/1" \  -H "accept-language: ja"
{  "id": 1,  "caption": "Bonus caption",  "clientId": 1,  "clientName": "Mary Smith",  "clientEmail": "username@example.com",  "accountId": 1,  "accountNumber": "2100242175",  "amount": "100.00",  "initialAmount": "100.00",  "volumeComplete": "0.060",  "temporaryBonus": "Bonus",  "currency": {    "alphabeticCode": "USD",    "minorUnit": 2,    "name": "US Dollar",    "numericCode": 840  },  "currencyExp": 1,  "fictiveVolumeComplete": "1.11",  "volumeThreshold": "1.11",  "lifetime": 0,  "enableAutoCredit": true,  "scalpingThreshold": "1",  "enableTrade": true,  "disabledGroups": [    "EURJPY"  ],  "dynamicLots": "1.000",  "status": "Expired",  "createdAt": "2022-01-01T00:00:00+00:00",  "updatedAt": "2022-01-01T00:00:00+00:00"}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}